This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 835560 - (CVE-2012-3363) CVE-2012-3363 php-ZendFramework: File disclosure via XXE injection in Zend_XMLRPC (ZF2012-01)
CVE-2012-3363 php-ZendFramework: File disclosure via XXE injection in Zend_XM...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120618,reported=2...
: Security
Depends On: 835561 835562
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 09:28 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-26 11:40:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-06-26 09:28:34 EDT
A file disclosure flaw was found in the way SimpleXMLElement class of Zend Framework, a PHP framework, processed XML data provided within certain XML-RPC requests (external XML entities were previously possible to specify by adding a specific DOCTYPE element to particular XML-RPC request). A remote attacker could use this flaw to obtain sensitive information by issuing a specially-crafted XML-RPC request to the Zend Framework based PHP application.

References:
[1] http://framework.zend.com/security/advisory/ZF2012-01
[2] http://www.openwall.com/lists/oss-security/2012/06/26/2
[3] https://www.sec-consult.com/files/20120626-0_zend_framework_xxe_injection.txt
[4] https://secunia.com/advisories/49665/
Comment 1 Jan Lieskovsky 2012-06-26 09:30:25 EDT
This issue affects the versions of the php-ZendFramework as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the php-ZendFramework as shipped with Fedora EPEL 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-06-26 09:31:58 EDT
Created php-ZendFramework tracking bugs for this issue

Affects: fedora-all [bug 835561]
Affects: epel-6 [bug 835562]
Comment 3 Jan Lieskovsky 2012-06-27 04:09:12 EDT
The CVE identifier of CVE-2012-3363 has been assigned:
http://www.openwall.com/lists/oss-security/2012/06/27/2

to this issue.
Comment 4 Fedora Update System 2012-07-14 14:31:36 EDT
php-ZendFramework-1.11.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-07-14 17:56:05 EDT
php-ZendFramework-1.11.12-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-07-14 17:59:50 EDT
php-ZendFramework-1.11.12-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.